<?php
namespace Claromentis\Search\Suggestions;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_f73dab606630b388" . "645c4f7d3fbb13bb" => base64_decode("YXJyYXlfb" . "WVyZ2U="), "_7f628626dd1d55" . "c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYXJ" . "yYXk="), "_49c6565477ee9f822b499a53e6d2995" . "f" => base64_decode("YXJyYXlfa2V5X2V4aXN0" . "cw=="), "_ab1e14183ebb02378ed5" . "335a96a4288d" => base64_decode("Y2ZnX3NlYXJja" . "F9wbHVnaW5z"));
use ErrorHandler;









class PluginLoader extends ErrorHandler
{
    
    
    
    
    
    
    protected static $valid_applications = array('documents' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Document', 'publish' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Publish', 'news' => 'Claromentis\\Search\\Suggestions\\SearchResource\\News', 'people' => 'Claromentis\\Search\\Suggestions\\SearchResource\\People', 'forum' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Forum');
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function GetPluginByUrl($url)
    {
        $_a99e51514fd0fcca58579cb5552a6035 = static::GetPlugins();
        foreach ($_a99e51514fd0fcca58579cb5552a6035 as $_6a02aaefc5f2925e469e5aca3990865a => $_327c87139880ba8bc0fa0b9a7e24a44d) {
            if ($_327c87139880ba8bc0fa0b9a7e24a44d::IsSupportedUrl($url)) {
                $_daf0ea4a4657bd95111bb4f0079b9cff = new $_327c87139880ba8bc0fa0b9a7e24a44d();
                return [$_daf0ea4a4657bd95111bb4f0079b9cff, $_6a02aaefc5f2925e469e5aca3990865a];
            }
        }
        return [null, null];
    }
    
    
    
    
    
    
    
    
    
    public static function PluginFactory($_f44467aacb8a4520c7382769d24aa422)
    {
        $_a99e51514fd0fcca58579cb5552a6035 = static::GetPlugins();
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_49c6565477ee9f82" . "2b499a53e6d2995f"]($_f44467aacb8a4520c7382769d24aa422, $_a99e51514fd0fcca58579cb5552a6035)) {
            return new $_a99e51514fd0fcca58579cb5552a6035[$_f44467aacb8a4520c7382769d24aa422]();
        } else {
            return null;
        }
    }
    
    
    
    
    
    
    
    private static function GetPlugins()
    {
        global $g_application;
        $_ab1e14183ebb02378ed5335a96a4288d = $g_application->config->get($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ab1e14183eb" . "b02378ed5335" . "a96a4288d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7f628626dd1d5" . "5c71b1fc0932ff" . "d1d2c"]($_ab1e14183ebb02378ed5335a96a4288d)) {
            $_a99e51514fd0fcca58579cb5552a6035 = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_f73dab606630b388645c" . "4f7d3fbb13bb"](self::$valid_applications, $_ab1e14183ebb02378ed5335a96a4288d);
        } else {
            $_a99e51514fd0fcca58579cb5552a6035 = self::$valid_applications;
        }
        return $_a99e51514fd0fcca58579cb5552a6035;
    }
}